Unable to log into Ankihub following download of add on

When I attempt to enter my log in information into the Sign into Ankihub, I get this error:
Anki 2.1.66 (70506aeb) Python 3.9.15 Qt 5.14.2 PyQt 5.14.1
Platform: macOS-13.5.1-x86_64-i386-64bit
Flags: frz=True ao=True sv=2
Add-ons, last update check: 2023-09-01 14:49:09

Traceback (most recent call last):

File “/Users/tjw50/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py”, line 225, in _send_request_with_retry
response = self._send_request_with_retry_inner(request, stream=stream)

File “/Users/tjw50/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/init.py”, line 289, in wrapped_f
return self(f, *args, **kw)

File “/Users/tjw50/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/init.py”, line 379, in call
do = self.iter(retry_state=retry_state)

File “/Users/tjw50/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/init.py”, line 326, in iter
raise retry_exc from fut.exception()

tenacity.RetryError: RetryError[<Future at 0x14ebbe2e0 state=finished raised SSLError>]

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File “/Users/tjw50/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py”, line 231, in _send_request_with_retry
response = last_attempt.result()

File “concurrent.futures._base”, line 439, in result

File “concurrent.futures._base”, line 391, in __get_result

File “/Users/tjw50/Library/Application Support/Anki2/addons21/1322529746/lib/tenacity/init.py”, line 382, in call
result = fn(*args, **kwargs)

File “/Users/tjw50/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py”, line 246, in _send_request_with_retry_inner
response = session.send(request, stream=stream)

File “requests.sessions”, line 703, in send

File “requests.adapters”, line 517, in send

requests.exceptions.SSLError: HTTPSConnectionPool(host=‘app.ankihub.net’, port=443): Max retries exceeded with url: /api/login/ (Caused by SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1129)’)))

The above exception was the direct cause of the following exception:

Traceback (most recent call last):

File “/Users/tjw50/Library/Application Support/Anki2/addons21/1322529746/gui/menu.py”, line 156, in login
token = ankihub_client.login(credentials=credentials)

File “/Users/tjw50/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py”, line 252, in login
response = self._send_request(“POST”, API.ANKIHUB, “/login/”, json=credentials)

File “/Users/tjw50/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py”, line 211, in _send_request
response = self._send_request_with_retry(prepped, stream=stream)

File “/Users/tjw50/Library/Application Support/Anki2/addons21/1322529746/ankihub_client/ankihub_client.py”, line 233, in _send_request_with_retry
raise AnkiHubRequestException(e) from e

1322529746.ankihub_client.ankihub_client.AnkiHubRequestException: AnkiHub request exception: HTTPSConnectionPool(host=‘app.ankihub.net’, port=443): Max retries exceeded with url: /api/login/ (Caused by SSLError(SSLCertVerificationError(1, ‘[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed: unable to get local issuer certificate (_ssl.c:1129)’)))

Can you try restarting your computer/device and try again and see if this persists?

If it does, delete the ankihub addon, reinstall it and try again

Unfortunately, I just tried both of those and neither one helped

@ProductTeam can we add this to Notion? We regularly get reports of this.

1 Like